javax.batch.api.chunk.listener

## Interface SkipProcessListener

    public interface SkipProcessListener

SkipProcessListener intercepts skippable itemProcess exception handling.

### Method Summary

Methods
`void` `onSkipProcessItem(Object item, Exception ex)` The onSkipProcessItem method receives control when a skippable exception is thrown from an ItemProcess processItem method.

### Method Detail

#### onSkipProcessItem

    void onSkipProcessItem(Object item,
                         Exception ex)
                           throws Exception

The onSkipProcessItem method receives control when a skippable exception is thrown from an ItemProcess processItem method. This method receives the exception and the item to process as an input.

Parameters:
  `item` - specifies the item passed to the ItemProcessor.
  `ex` - specifies the exception thrown by the ItemProcessor.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0